package cn.iocoder.yudao.module.portal.dal.mysql.newstype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.portal.dal.dataobject.newstype.NewsTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.portal.controller.admin.newstype.vo.*;

/**
 * 新闻类型 Mapper
 *
 * @author 篮智科技
 */
@Mapper
public interface NewsTypeMapper extends BaseMapperX<NewsTypeDO> {

    default PageResult<NewsTypeDO> selectPage(NewsTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<NewsTypeDO>()
                .likeIfPresent(NewsTypeDO::getTypeName, reqVO.getTypeName())
                .betweenIfPresent(NewsTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(NewsTypeDO::getId));
    }

}